Bug Hunting Session
Bug 93353 - Master document does not show diagrams included and properly shown in documents linked into the master
Summary: Master document does not show diagrams included and properly shown in documen...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: Other All
: high major
Assignee: Björn Michaelsen
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords: bibisected, bisected, regression
: 93354 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-08-11 11:28 UTC by dr.s.moeckel
Modified: 2016-10-25 19:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer file to be included in the master document (.odm) (15.83 KB, application/vnd.oasis.opendocument.text)
2015-08-11 11:28 UTC, dr.s.moeckel
Details
Document with Text and diagram for inclusion (15.83 KB, application/vnd.oasis.opendocument.text)
2015-08-11 13:00 UTC, dr.s.moeckel
Details
Master document (.odm) which includes the text file (10.55 KB, application/vnd.oasis.opendocument.text-master)
2015-08-11 13:04 UTC, dr.s.moeckel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dr.s.moeckel 2015-08-11 11:28:08 UTC
Created attachment 117822 [details]
Writer file to be included in the master document (.odm)

The bug can be reproduced as follows:

- Create a new master document with some text.
- Link ComPict_01.odt into the master (the document contains some text and a diagram)
- View the master document. As a result you should get the text, the diagram description frame with text but no diagram.
Comment 1 Eike Rathke 2015-08-11 12:54:34 UTC
*** Bug 93354 has been marked as a duplicate of this bug. ***
Comment 2 dr.s.moeckel 2015-08-11 13:00:15 UTC
Created attachment 117824 [details]
Document with Text and diagram for inclusion
Comment 3 dr.s.moeckel 2015-08-11 13:04:02 UTC
Created attachment 117825 [details]
Master document (.odm) which includes the text file
Comment 4 Alex Thurgood 2015-08-11 17:22:21 UTC
Confirming on

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale : fr-FR (fr.UTF-8)

OSX 10.10.4
Comment 5 Alex Thurgood 2015-08-11 17:24:42 UTC
Works fine in

Version: 4.3.5.2
Build ID: 3a87456aaa6a95c63eea1c1b3201acedf0751bd5

OSX 10.10.4 ==>> regression
Comment 6 Alex Thurgood 2015-08-11 17:27:25 UTC
Also fails in

Version: 5.1.0.0.alpha1+
Build ID: d026cad64c72eacf7bff9bbd7e3bb5b1a56f8479
Locale : fr-FR (fr.UTF-8)
Comment 7 Matthew Francis 2015-08-17 04:39:02 UTC
This seems to have begun in one of the below commits.
Adding Cc: to bjoern.michaelsen@canonical.com; Could you possibly take a look at this one? Thanks

    commit 3fcb0c3aa8d58a819aa21eb9743eaa6da7394819
    Author:     Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
    AuthorDate: Thu Nov 20 19:03:43 2014 +0100
    Commit:     Björn Michaelsen <bjoern.michaelsen@canonical.com>
    CommitDate: Thu Nov 20 18:25:56 2014 +0000
    
        expand complex cascading conditional operator, step 5
    
        Change-Id: Ia96f59911f20e4baf342a512a010c84e91b1f21d
        Reviewed-on: https://gerrit.libreoffice.org/13012
        Reviewed-by: Björn Michaelsen <bjoern.michaelsen@canonical.com>
        Tested-by: Björn Michaelsen <bjoern.michaelsen@canonical.com>

    commit 935848ec927a23772d078b82dc3d169e4fd763d0
    Author:     Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
    AuthorDate: Thu Nov 20 17:24:13 2014 +0100
    Commit:     Björn Michaelsen <bjoern.michaelsen@canonical.com>
    CommitDate: Thu Nov 20 18:25:39 2014 +0000
    
        expand complex cascading conditional operator, step 3
    
        Change-Id: I0bfa2d09b2f3048ada2518868bcee32689ecb6ca
        Reviewed-on: https://gerrit.libreoffice.org/13010
        Reviewed-by: Björn Michaelsen <bjoern.michaelsen@canonical.com>
        Tested-by: Björn Michaelsen <bjoern.michaelsen@canonical.com>

    commit 59554f0405c5146b3cf8faad76771c31bd46fbf7
    Author:     Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
    AuthorDate: Thu Nov 20 18:18:37 2014 +0100
    Commit:     Björn Michaelsen <bjoern.michaelsen@canonical.com>
    CommitDate: Thu Nov 20 18:24:31 2014 +0000
    
        expand complex cascading conditional operator, step 4
    
        Change-Id: Iaef321f8f9afe436a77a15cb48b5b93003374b47
        Reviewed-on: https://gerrit.libreoffice.org/13011
        Reviewed-by: Björn Michaelsen <bjoern.michaelsen@canonical.com>
        Tested-by: Björn Michaelsen <bjoern.michaelsen@canonical.com>
Comment 8 Commit Notification 2015-08-28 11:36:57 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99eaa798eb167688648da16a61f0214938caf7c5

tdf#93353: fix copy fluy in fly

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-08-28 21:43:28 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1638e2bd0da0a356826d58e277a999c5449769ea&h=libreoffice-5-0

tdf#93353: fix copy fluy in fly

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 10:30:47 UTC Comment hidden (obsolete)